Bug 143079 - UTF-8 regression with -i
Summary: UTF-8 regression with -i
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: grep   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-16 12:54 UTC by Tim Waugh
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 11:15:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2004-12-16 12:54:21 UTC
Description of problem:
This should match in en_GB.UTF-8 but doesn't:

echo 'ï½ï½ï¼£ï¼¤' | grep -i -e 'Aï½ï½ï¼¤'

Version-Release number of selected component (if applicable):
grep-2.5.1-31.2

How reproducible:
100%

(From LSB test run)

Works in egf-speedup and dfa-optional patches are commented out.

Comment 1 Tim Waugh 2004-12-16 13:07:23 UTC
Fails once the egf-speedup patch is applied, so that's the culprit.

Comment 4 Tim Waugh 2004-12-17 13:40:43 UTC
This is also incorrect:

echo 'ï½ï½ï¼£ï¼¤' | grep -F -i -e 'Aï½ï½ï¼¤'

However, that's harder to fix.

Comment 6 Tim Waugh 2004-12-17 16:19:03 UTC
Leaving open for -F case.


Note You need to log in before you can comment on or make changes to this bug.